#!/bin/sh

# Translate number of bytes to human readable form in either B, KiB, MiB, GiB or
# TiB with 2 digits.
#
# @version  1.0.1   12 Mar 2016.

if [ $# -eq 1 ]; then
  size=$1
else
  IFS= read -r size
fi

if [ $size -ge 1099511627776 ]; then
  size="$(awk 'BEGIN {printf "%.2f", '$size' / 1099511627776}') TiB"
elif [ $size -ge 1073741824 ]; then
  size="$(awk 'BEGIN {printf "%.2f", '$size' / 1073741824}') GiB"
elif [ $size -ge 1048576 ]; then
  size="$(awk 'BEGIN {printf "%.2f", '$size' / 1048576}') MiB"
elif [ $size -ge 1024 ]; then
  size="$(awk 'BEGIN {printf "%.2f", '$size' / 1024}') KiB"
else
  size="$size B"
fi

echo $size
