#!/bin/sh

# Determines pending schedules by comparing fields 1, 4-6 and 9 from rsv output
# between a snapshot from boot and now.

# Now.
/opt/bin/rsv -p /mnt/hd1/reserve.info | sort -k 2,4 > /opt/tmp/rsvp.now.txt

# Save to a file, then print the file. For some reason we only grab the first
# line if done directly.
tmpfile=/opt/tmp/rsv.txt
awk -F'\t' 'NR==FNR{c[$1$4$5$6$7$9]++;next};c[$1$4$5$6$7$9] > 0' /opt/tmp/rsvp.orig.txt /opt/tmp/rsvp.now.txt > $tmpfile

# Show result, if any.
if [ -f $tmpfile ]; then
  cat $tmpfile
fi
